drop table if exists `star_alias`;

create table if not exists `star_alias` (
    `star_id` INT UNSIGNED NOT NULL,
    `alias_id` INT UNSIGNED NOT NULL,
    PRIMARY KEY (`star_id`, `alias_id`),
    INDEX `fk_star_alias_star_idx` (`star_id` ASC),
    INDEX `fk_star_alias_alias_idx` (`alias_id` ASC),
    CONSTRAINT `fk_star_alias_alias`
        FOREIGN KEY (`alias_id`)
        REFERENCES `alias` (`id`)
        ON DELETE CASCADE
        ON UPDATE NO ACTION,
    CONSTRAINT `fk_star_alias_star`
        FOREIGN KEY (`star_id`)
        REFERENCES `main_star` (`id`)
        ON DELETE CASCADE
        ON UPDATE NO ACTION
);

-- show table result
describe `star_alias`;
SELECT * FROM `star_alias` LIMIT 1000;